datacache <- new.env(hash=TRUE, parent=emptyenv())

jnj384screenhsentrezg <- function() showQCData("jnj384screenhsentrezg", datacache)
jnj384screenhsentrezg_dbconn <- function() dbconn(datacache)
jnj384screenhsentrezg_dbfile <- function() dbfile(datacache)
jnj384screenhsentrezg_dbschema <- function(file="", show.indices=FALSE) dbschema(datacache, file=file, show.indices=show.indices)
jnj384screenhsentrezg_dbInfo <- function() dbInfo(datacache)

jnj384screenhsentrezgORGANISM <- "Homo sapiens"

.onLoad <- function(libname, pkgname)
{
    ## Connect to the SQLite DB
    dbfile <- system.file("extdata", "jnj384screenhsentrezg.sqlite", package=pkgname, lib.loc=libname)
    assign("dbfile", dbfile, envir=datacache)
    dbconn <- dbFileConnect(dbfile)
    assign("dbconn", dbconn, envir=datacache)

    ## Create the OrgDb object
    sPkgname <- sub(".db$","",pkgname)
    txdb <- loadDb(system.file("extdata", paste(sPkgname,
      ".sqlite",sep=""), package=pkgname, lib.loc=libname),
                   packageName=pkgname)    
    dbNewname <- AnnotationDbi:::dbObjectName(pkgname,"ChipDb")
    ns <- asNamespace(pkgname)
    assign(dbNewname, txdb, envir=ns)
    namespaceExport(ns, dbNewname)
        
    ## Create the AnnObj instances
    ann_objs <- createAnnObjs.SchemaChoice("HUMANCHIP_DB", "jnj384screenhsentrezg", "chip jnj384screenhsentrezg", dbconn, datacache)
    mergeToNamespaceAndExport(ann_objs, pkgname)
    packageStartupMessage(AnnotationDbi:::annoStartupMessages("jnj384screenhsentrezg.db"))
}

.onUnload <- function(libpath)
{
    dbFileDisconnect(jnj384screenhsentrezg_dbconn())
}

